QXmppDataForm::Field Class Reference

The QXmppDataForm::Field class represents a data form field as defined by XEP-0004: Data Forms. More...

`#include <QXmppDataForm.h>`

List of all members.

## Public Types

enum | Type { BooleanField, FixedField, HiddenField, JidMultiField, JidSingleField, ListMultiField, ListSingleField, TextMultiField, TextPrivateField, TextSingleField }
| This enum is used to describe a field's type.

## Public Member Functions

| Field (QXmppDataForm::Field::Type type=QXmppDataForm::Field::TextSingleField)
QString | description () const
| Returns the field's description.
void | setDescription (const QString &description)
QString | key () const
| Returns the field's key.
void | setKey (const QString &key)
QString | label () const
| Returns the field's label.
void | setLabel (const QString &label)
QList< QPair< QString, QString > > | options () const
| Returns the field's options.
void | setOptions (const QList< QPair< QString, QString > > &options)
bool | isRequired () const
| Returns true if the field is required, false otherwise.
void | setRequired (bool required)
QXmppDataForm::Field::Type | type () const
| Returns the field's type.
void | setType (QXmppDataForm::Field::Type type)
QVariant | value () const
| Returns the field's value.
void | setValue (const QVariant &value)

## Detailed Description

The QXmppDataForm::Field class represents a data form field as defined by XEP-0004: Data Forms.

## Constructor & Destructor Documentation

QXmppDataForm::Field::Field | ( | QXmppDataForm::Field::Type | type = `QXmppDataForm::Field::TextSingleField` | ) |

Constructs a QXmppDataForm::Field of the specified type.

Parameters:

  type |

## Member Function Documentation

void QXmppDataForm::Field::setDescription | ( | const QString & | description | ) |

Sets the field's description.

Parameters:

  description |

void QXmppDataForm::Field::setKey | ( | const QString & | key | ) |

Sets the field's key.

Parameters:

  key |

void QXmppDataForm::Field::setLabel | ( | const QString & | label | ) |

Sets the field's label.

Parameters:

  label |

void QXmppDataForm::Field::setOptions | ( | const QList< QPair< QString, QString > > & | options | ) |

Sets the field's options.

Parameters:

  options |

void QXmppDataForm::Field::setRequired | ( | bool | required | ) |

Set to true if the field is required, false otherwise.

Parameters:

  required |

void QXmppDataForm::Field::setType | ( | QXmppDataForm::Field::Type | type | ) |

Sets the field's type.

Parameters:

  type |

void QXmppDataForm::Field::setValue | ( | const QVariant & | value | ) |

Sets the field's value.

Parameters:

  value |

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp

All Classes Functions Enumerations Enumerator Properties